Subject: [http-auth] RFC 2617 / Erratum # 2600

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 27 Jun 2011 20:49:20 -0600

At http://www.rfc-editor.org/errata_search.php?rfc=2617 can be found the
following report:

###

Section 3.2.2 says:

digest-uri       = "uri" "=" digest-uri-value
digest-uri-value = request-uri   ; As specified by HTTP/1.1

It should say:

digest-uri       = "uri" "=" <"> digest-uri-value <">
digest-uri-value = request-uri   ; As specified by HTTP/1.1

Notes:

This is an error here that the digest-uri-value is not enclosed in
quotation marks;
see the correct example in Section 3.5:

Authorization: Digest username="Mufasa",
realm="[email-masked]",
nonce="dcd98b7102dd2f0e8b11d0f600bfb0c093",
uri="/dir/index.html",
. . .

###

I've checked the source code for Mozilla and Chrome (but not yet other
projects):

http://mxr.mozilla.org/mozilla-beta/source/netwerk/protocol/http/nsHttpDigestAuth.cpp

http://codesearch.google.com/#OAMlx_jo-ck/src/net/http/http_auth_handler_digest.cc&exact_package=chromium&ct=rc&cd=3&q=qop

http://codesearch.google.com/#OAMlx_jo-ck/src/third_party/ffmpeg/patched-ffmpeg-mt/libavformat/httpauth.c&exact_package=chromium&ct=rc&cd=4&q=qop

(The TODO notes in the Chrome source are kind of interesting...)

This report seems like it might be correct, but I figured I would check
with the http-auth list and others before approving this erratum.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: "KIHARA, Boku" <[email-masked]>
Date: Tue, 28 Jun 2011 23:26:34 +0900

Seems reasonable.

--
KIHARA, Boku

2011/6/28 Peter Saint-Andre <[email-masked]>:
> _______________________________________________
> http-auth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/http-auth
>